
#include <stdio.h>
#include <stdlib.h>
#include "SDL.h"
#include "SDL_image.h"


int main()
{

	SDL_Surface *ecran, *image;

	atexit(SDL_Quit);
	
	/* initialisation de SDL_Video */
	if (SDL_Init(SDL_INIT_VIDEO) < 0)
	{
		fprintf(stderr, "Echec d'initialisation de SDL.\n");
		return 1;
	}
	printf("Bonjour le monde, SDL est initialis avec succs.\n");
	
	
	/* creation d'une fenetre avec une zone d'affichage de 160*160 pixels, une profondeur de bits egale  celle du serveur X ou de l'explorateur */
	ecran = SDL_SetVideoMode(160, 160, 0, SDL_ANYFORMAT);
	if ( ecran == NULL )
	{
		fprintf(stderr, "Echec de creation de la fenetre de 160*160 : %s.\n", SDL_GetError());
		return 1;
	}
	
	/* Chargement du bitmap "image.bmp" en memoire dans la surface image */
	image = IMG_Load("image.png");
	if ( image == NULL )
	{
		fprintf(stderr, "Echec de chargement du fichier image.bmp : %s.\n", SDL_GetError());
		return 1;
	}
	
	/* Verification du format de l'image */
	if ( (image->w != 160) || (image->h != 160) )
	{
		fprintf(stderr, "L'image doit tre de taille 160*160 pixels.\n");
		SDL_FreeSurface(image);
		return 1;
	}
	
	/* Copie de l'image  l'cran */
	SDL_BlitSurface(image, NULL, ecran, NULL);
	
	/* Mise  jour de la zone d'affichage de la fenetre */
	SDL_UpdateRect(ecran, 0, 0, 0, 0);
	
	/* attente de l'appuis sur une touche pour quitter */
	getchar();
	
	return 0;
}
